import { Component, OnInit } from '@angular/core';
import {PopoverController} from '@ionic/angular';

@Component({
  selector: 'editor-node-picker',
  templateUrl: './node-picker.component.html',
  styleUrls: ['./node-picker.component.scss'],
})
export class NodePickerComponent implements OnInit {

  public typeIcons = {
    branch: 'fa fa-folder',
    node: 'fa fa-quote-left',
    norm: 'fa fa-quote-left',
    page: 'fa fa-sticky-note',
    db: 'fa fa-database',
    code: 'fa fa-code',
  };

  constructor(
      private popover: PopoverController,
  ) { }

  ngOnInit() {}

  onSelect(value: string) {
    this.popover.dismiss(value).then(() => {});
  }

}
